## org.ascape.model.engine
Interface RuleSelector

All Superinterfaces:
  java.lang.Cloneable, Selector

All Known Implementing Classes:
  DefaultRuleSelector, FilteredRuleSelector, IterateAllRuleSelector, NoIterateAllRuleSelector, PartialRuleSelector, UpdateRuleSelector

    public interface RuleSelector

extends Selector

The Interface RuleSelector.

Method Summary
`boolean` `hasMoreRules()` Checks for more rules.
`Rule` `nextRule()` Next rule.

Methods inherited from interface org.ascape.model.engine.Selector
`clone, reset`

Method Detail

### hasMoreRules

    boolean hasMoreRules()

  Checks for more rules.

  Returns:
    true, if successful

### nextRule

    Rule nextRule()

  Next rule.

  Returns:
    the rule